#ifndef INCLUDED_ESDOM_Interface_hpp
#define INCLUDED_ESDOM_Interface_hpp

namespace ESDOM
{

class ESDOM_EXPORT Instance;

class ESDOM_EXPORT Interface
{
public:
	Interface();
	Interface(const Interface &original);
	Interface(const Instance *instance);
	virtual ~Interface();

	virtual Interface & operator = (const Interface &newInterface);
	virtual bool		operator == (const Interface &other) const;
	virtual bool		operator != (const Interface &other) const;
	virtual				operator bool () const;

protected:
	const Instance	*m_instance;
};

}; /* namespace ESDOM */

#endif /* INCLUDED_ESDOM_Interface_hpp */
