#ifndef INCLUDED_ESDOM_NodeList_hpp
#define INCLUDED_ESDOM_NodeList_hpp

#include <ESDOM/Interface.hpp>

namespace ESDOM
{

class ESDOM_EXPORT Node;
class ESDOM_EXPORT NodeListInst;

class ESDOM_EXPORT NodeList : public Interface
{
public:
	NodeList();
	NodeList(const NodeList &original);
	NodeList(const NodeListInst *nodeListInst);
	~NodeList();

	NodeList &	operator = (const NodeList &newNodeList);

	Node			item(unsigned long index) const;
	unsigned long	getLength(void) const;

protected:
};

}; /* namespace ESDOM */

#endif /* INCLUDED_ESDOM_NodeList_hpp */
