#include <ESDOM/ESDOM_define.hpp>
#include <ESDOM/ESDOMException.hpp>
//#include "NodeInst.hpp"
#include "CDATASectionInst.hpp"
#include <ESDOM/Node.hpp>

using namespace ESDOM;

CDATASectionInst::CDATASectionInst()
{
	m_nodeName = "#cdata-section";
	m_nodeType = Node::CDATA_SECTION_NODE;
}

CDATASectionInst::CDATASectionInst( const CDATASectionInst &original )
 : TextInst( original )
{
}

CDATASectionInst::~CDATASectionInst()
{
}

NodeInst * CDATASectionInst::cloneNodeInst(bool deep) const
{
	CDATASectionInst *newNodeInst;
	try{
		newNodeInst = new CDATASectionInst(*this); if(!newNodeInst)throw 0;
	}catch(...){
		throw ESDOMException( ESDOMException::OUT_OF_MEMORY );
	}
	return newNodeInst;
}
