#include <ESDOM/ESDOM_define.hpp>
#include <ESDOM/ESDOMException.hpp>
#include "CommentInst.hpp"
#include <ESDOM/Node.hpp>

using namespace ESDOM;


CommentInst::CommentInst()
 : NodeInst( _ESDOM_TEXT("#comment"), Node::COMMENT_NODE, false, false )
{
}

CommentInst::CommentInst( const CommentInst &original )
 : NodeInst( original )
{
}

CommentInst::~CommentInst()
{
}

NodeInst * CommentInst::cloneNodeInst(bool deep) const
{
	CommentInst *newNodeInst;
	try{
		newNodeInst = new CommentInst( *this ); if(!newNodeInst)throw 0;
	}
	catch(...){
		throw ESDOMException( ESDOMException::OUT_OF_MEMORY );
	}

	return newNodeInst;
}
