#include <ESDOM/ESDOM_define.hpp>
#include <ESDOM/ESDOMException.hpp>
#include "DocumentTypeInst.hpp"
#include "NodeInst.hpp"
#include <ESDOM/Node.hpp>

using namespace ESDOM;

DocumentTypeInst::DocumentTypeInst(const ESDOM_CHAR *doctype)
 : NodeInst( doctype, Node::DOCUMENT_TYPE_NODE, false, false )
{
	m_nodeType = Node::DOCUMENT_TYPE_NODE;
}

DocumentTypeInst::DocumentTypeInst(const DocumentTypeInst &original)
 : NodeInst( original )
{
}

DocumentTypeInst::~DocumentTypeInst()
{
}

NodeInst * DocumentTypeInst::cloneNodeInst(bool deep) const
{
	DocumentTypeInst *newNodeInst;
	try{
		newNodeInst = new DocumentTypeInst( *this ); if(!newNodeInst)throw 0;
	}catch(...){
		throw ESDOMException( ESDOMException::OUT_OF_MEMORY );
	}

	return newNodeInst;
}
