#ifndef INCLUDED_ESDOM_DocumentTypeInst_hpp
#define INCLUDED_ESDOM_DocumentTypeInst_hpp

#include "NodeInst.hpp"

namespace ESDOM
{

class ESDOM_EXPORT DocumentTypeInst : public NodeInst
{
public:
	explicit DocumentTypeInst(const ESDOM_CHAR *doctype);
	~DocumentTypeInst();

	NodeInst *	cloneNodeInst(bool deep) const;

protected:
	explicit DocumentTypeInst(const DocumentTypeInst &original);
};

}; /* namespace ESDOM */

#endif /* INCLUDED_ESDOM_DocumentTypeInst_hpp */
