#include <ESDOM/ESDOM_define.hpp>
#include <ESDOM/ProcessingInstruction.hpp>
#include "ProcessingInstructionInst.hpp"
#include <ESDOM/Node.hpp>

using namespace ESDOM;

ProcessingInstruction::ProcessingInstruction()
{
}

ProcessingInstruction::ProcessingInstruction(const ProcessingInstruction &original)
: NodeBase( original )
{
}

ProcessingInstruction::ProcessingInstruction(const ProcessingInstructionInst *instance)
: NodeBase( instance )
{
}

ProcessingInstruction::~ProcessingInstruction()
{
}

ProcessingInstruction & ProcessingInstruction::operator = (const ProcessingInstruction &node)
{
	Interface::operator = ( node );
	return *this;
}
