#include <ESDOM/ESDOM_define.hpp>
#include <ESDOM/ESDOMException.hpp>
#include "ProcessingInstructionInst.hpp"
#include <ESDOM/Node.hpp>

using namespace ESDOM;

ProcessingInstructionInst::ProcessingInstructionInst(const ESDOM_CHAR *target)
 : NodeInst( target, Node::PROCESSING_INSTRUCTION_NODE, false, false )
{
}

ProcessingInstructionInst::ProcessingInstructionInst(const ProcessingInstructionInst &original)
 : NodeInst( original )
{
}

ProcessingInstructionInst::~ProcessingInstructionInst()
{
}

NodeInst * ProcessingInstructionInst::cloneNodeInst(bool deep) const
{
	ProcessingInstructionInst *newNodeInst;
	try{
		newNodeInst = new ProcessingInstructionInst(*this); if(!newNodeInst)throw 0;
	}catch(...){
		throw ESDOMException( ESDOMException::OUT_OF_MEMORY );
	}

	return newNodeInst;
}
