#ifndef INCLUDED_ESDOM_ProcessingInstructionInst_hpp
#define INCLUDED_ESDOM_ProcessingInstructionInst_hpp

#include "NodeInst.hpp"

namespace ESDOM
{

class ESDOM_EXPORT ProcessingInstructionInst : public NodeInst
{
public:
	explicit ProcessingInstructionInst(const ESDOM_CHAR *target);
	~ProcessingInstructionInst();

	NodeInst *	cloneNodeInst(bool deep) const;

protected:
	explicit ProcessingInstructionInst(const ProcessingInstructionInst &original);
};

}; /* namespace ESDOM */

#endif /* INCLUDED_ESDOM_ProcessingInstructionInst_hpp */
