#ifndef INCLUDED_ESDOM_Comment_hpp
#define INCLUDED_ESDOM_Comment_hpp

#include <ESDOM/NodeBase.hpp>
#include <ESDOM/ESDOMException.hpp>

namespace ESDOM
{

class ESDOM_EXPORT CommentInst;

class ESDOM_EXPORT Comment : public virtual NodeBase
{
public:
	Comment();
	Comment(const Comment &original);
	Comment(const CommentInst *instance);
	virtual ~Comment();

	virtual Comment &	operator = (const Comment &node);

protected:
};

}; /* namespace ESDOM */

#endif /* INCLUDED_ESDOM_Comment_hpp */
