#ifndef INCLUDED_ESDOM_DocumentType_hpp
#define INCLUDED_ESDOM_DocumentType_hpp

#include <ESDOM/NodeBase.hpp>
#include <ESDOM/ESDOMException.hpp>

namespace ESDOM
{

class ESDOM_EXPORT DocumentTypeInst;

class ESDOM_EXPORT DocumentType : public virtual NodeBase
{
public:
	DocumentType();
	DocumentType(const DocumentType &original);
	DocumentType(const DocumentTypeInst *instance);
	virtual ~DocumentType();

	virtual DocumentType &	operator = (const DocumentType &node);

protected:
};

}; /* namespace ESDOM */

#endif /* INCLUDED_ESDOM_DocumentType_hpp */
