#ifndef INCLUDED_ESDOM_AttrInst_hpp
#define INCLUDED_ESDOM_AttrInst_hpp

#include "NodeInst.hpp"

namespace ESDOM
{

class ESDOM_EXPORT ElementInst;

class ESDOM_EXPORT AttrInst : public NodeInst
{
public:
	explicit AttrInst(const ESDOM_CHAR *name);
	~AttrInst();

	NodeInst *		cloneNodeInst(bool deep) const;
	ElementInst *	getOwnerElement(void) const;

protected:
	explicit AttrInst(const AttrInst &original);

	ElementInst	*m_ownerElement;

	friend	class	ElementInst;
};

}; /* namespace ESDOM */

#endif /* INCLUDED_ESDOM_AttrInst_hpp */
