#include <ESDOM/ESDOM_define.hpp>
#include "Instance.hpp"

using namespace ESDOM;

#ifdef ESDOM_DEBUG
long Instance::m_gTotalInstanceNum = 0;
#endif

Instance::Instance()
{
#ifdef ESDOM_DEBUG
	m_gTotalInstanceNum++;
#endif
	m_refCount = 0;
}

Instance::~Instance()
{
#ifdef ESDOM_DEBUG
	m_gTotalInstanceNum--;
#endif
}

void Instance::addRef(void) const
{
	m_refCount++;
}

void Instance::removeRef(void) const
{
	if( --m_refCount < 1 )
		delete this;
}
