#ifndef INCLUDED_ESDOM_Instance_hpp
#define INCLUDED_ESDOM_Instance_hpp

namespace ESDOM
{

class ESDOM_EXPORT Instance
{
public:
#ifdef ESDOM_DEBUG
	static long		m_gTotalInstanceNum;
#endif

	explicit Instance();
	virtual ~Instance();

	virtual void	addRef() const;
	virtual void	removeRef() const;

private:
	explicit Instance(const Instance &original);

	mutable long	m_refCount;

	Instance & operator = (const Instance &newInstance);
};

}; /* namespace ESDOM */

#endif /* INCLUDED_ESDOM_Instance_hpp */
