#include <ESDOM/ESDOM_define.hpp>
#include <ESDOM/ESDOMException.hpp>
#include "TextInst.hpp"
#include <ESDOM/Node.hpp>

using namespace ESDOM;

TextInst::TextInst()
 : NodeInst( _ESDOM_TEXT("#text"), Node::TEXT_NODE, false, false )
{
}

TextInst::TextInst( const TextInst &original ) : NodeInst( original )
{
}

TextInst::~TextInst()
{
}

NodeInst * TextInst::cloneNodeInst(bool deep) const
{
	TextInst *newNodeInst;
	try{
		newNodeInst = new TextInst(*this); if(!newNodeInst)throw 0;
	}catch(...){
		throw ESDOMException( ESDOMException::OUT_OF_MEMORY );
	}
	return newNodeInst;
}
